Bug 818922 - evolution-data-server: Improper certificate validation in Evolution calendar caldav and addressbook webdav contact back-ends
evolution-data-server: Improper certificate validation in Evolution calendar ...
Status: CLOSED UPSTREAM
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120307,repor...
: Security
Depends On: 637433
Blocks: 818923
  Show dependency treegraph
 
Reported: 2012-05-04 07:09 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 13:12:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-04 07:09:51 EDT
It was found that evolution-data-server, a back-end contacts, tasks and calendar information handling data server for Evolution, did not perform SSL certificates validation for secured connections. Evolution email client, using evolution-data-server's calendar caldav and addressbook webdav contact back-ends, holding the trust about the other side of the connection being the valid owner of the presented certificate, could be tricked into accepting a spoofed SSL certificate by mistake (MITM attack).

Upstream bug report:
[1] https://bugzilla.gnome.org/show_bug.cgi?id=671537

References:
[2] https://bugzilla.novell.com/show_bug.cgi?id=760517
[3] https://bugs.launchpad.net/ubuntu/+source/evolution-data-server/+bug/933659/
[4] http://www.openwall.com/lists/oss-security/2012/05/03/3
[5] http://www.openwall.com/lists/oss-security/2012/05/04/4
[6] http://www.openwall.com/lists/oss-security/2012/05/04/5

Upstream patches:
[7] https://bugzilla.gnome.org/show_bug.cgi?id=671537#c10
    (patch for evolution-data-server)
[8] https://bugzilla.gnome.org/attachment.cgi?id=209771
    (patch for evolution)
Comment 1 Josh Bressers 2014-06-13 13:12:05 EDT
This issue is known upstream.

Note You need to log in before you can comment on or make changes to this bug.